package domain


type AlibabaWdkopenCateorderPullTopBaseResult struct {
    /*
        调用是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        错误码     */
    ReturnCode  *string `json:"return_code,omitempty" `

    /*
        错误码说明     */
    ReturnMsg  *string `json:"return_msg,omitempty" `

    /*
        调用处理结果     */
    Model  *bool `json:"model,omitempty" `

}

func (s *AlibabaWdkopenCateorderPullTopBaseResult) SetSuccess(v bool) *AlibabaWdkopenCateorderPullTopBaseResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkopenCateorderPullTopBaseResult) SetReturnCode(v string) *AlibabaWdkopenCateorderPullTopBaseResult {
    s.ReturnCode = &v
    return s
}
func (s *AlibabaWdkopenCateorderPullTopBaseResult) SetReturnMsg(v string) *AlibabaWdkopenCateorderPullTopBaseResult {
    s.ReturnMsg = &v
    return s
}
func (s *AlibabaWdkopenCateorderPullTopBaseResult) SetModel(v bool) *AlibabaWdkopenCateorderPullTopBaseResult {
    s.Model = &v
    return s
}
